## org.hibernate.property
Class Dom4jAccessor.ElementAttributeGetter

    java.lang.Object
      org.hibernate.property.Dom4jAccessor.Dom4jGetter
          org.hibernate.property.Dom4jAccessor.ElementAttributeGetter

All Implemented Interfaces:
  Serializable, Getter

Enclosing class:
  Dom4jAccessor

    public static class Dom4jAccessor.ElementAttributeGetter

extends Dom4jAccessor.Dom4jGetter

For nodes like `"foo/@bar"`

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.property.Dom4jAccessor.Dom4jGetter
`factory, propertyType`

Method Summary
`Object` `get(Object owner)` Get the property value from the given instance .

Methods inherited from class org.hibernate.property.Dom4jAccessor.Dom4jGetter
`getForInsert, getMember, getMethod, getMethodName, getReturnType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public Object get(Object owner)
               throws HibernateException

  Get the property value from the given instance .

  Parameters:
    `owner` - The instance containing the value to be retreived.
  Returns:
    The extracted value.
  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.